Change the reputation refresh frequency
Update how often Telnyx refreshes the reputation data for this enterprise’s registered numbers. The new frequency takes effect on the next scheduled refresh.
The enterprise’s reputation must be in approved status. A request made while the status is pending is rejected with 400 Bad Request.
PATCH
/
enterprises
/
{enterprise_id}
/
reputation
/
frequency
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.updateFrequency(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
{ check_frequency: 'weekly' },
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.update_frequency(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
check_frequency="weekly",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.UpdateFrequency(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseReputationUpdateFrequencyParams{
CheckFrequency: telnyx.EnterpriseReputationUpdateFrequencyParamsCheckFrequencyWeekly,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyParams;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationUpdateFrequencyParams params = ReputationUpdateFrequencyParams.builder()
.enterpriseId("4a6192a4-573d-446d-b3ce-aff9117272a6")
.checkFrequency(ReputationUpdateFrequencyParams.CheckFrequency.WEEKLY)
.build();
ReputationUpdateFrequencyResponse response = client.enterprises().reputation().updateFrequency(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.update_frequency(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
check_frequency: :weekly
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->updateFrequency(
'4a6192a4-573d-446d-b3ce-aff9117272a6', checkFrequency: 'weekly'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation update-frequency \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--check-frequency weeklycurl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/frequency \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"check_frequency": "weekly"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Body
application/json
How often Telnyx refreshes the stored reputation data for this enterprise's registered numbers.
Available options:
business_daily, daily, weekly, biweekly, monthly, never Response
Frequency updated.
Show child attributes
Show child attributes
Was this page helpful?
Disable phone-number reputation for an enterprise
Previous
Render a phone-number reputation Letter of Authorization
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.updateFrequency(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
{ check_frequency: 'weekly' },
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.update_frequency(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
check_frequency="weekly",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.UpdateFrequency(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseReputationUpdateFrequencyParams{
CheckFrequency: telnyx.EnterpriseReputationUpdateFrequencyParamsCheckFrequencyWeekly,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyParams;
import com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationUpdateFrequencyParams params = ReputationUpdateFrequencyParams.builder()
.enterpriseId("4a6192a4-573d-446d-b3ce-aff9117272a6")
.checkFrequency(ReputationUpdateFrequencyParams.CheckFrequency.WEEKLY)
.build();
ReputationUpdateFrequencyResponse response = client.enterprises().reputation().updateFrequency(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.update_frequency(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
check_frequency: :weekly
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->updateFrequency(
'4a6192a4-573d-446d-b3ce-aff9117272a6', checkFrequency: 'weekly'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation update-frequency \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--check-frequency weeklycurl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/frequency \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"check_frequency": "weekly"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}